Groovy Documentation

## org.codehaus.groovy.tools.shell.util
[Java] Class Logger

    java.lang.Object
      org.codehaus.groovy.tools.shell.util.Logger

    public final class Logger
    extends java.lang.Object

Provides a very, very basic logging API.

Authors:
  Jason Dillon

Version:
  \$Id\$

Field Summary
`static IO` | `io`
`java.lang.String` | `name`

Method Summary
`static Logger` | `create(java.lang.Class type)`
`static Logger` | `create(java.lang.Class type, java.lang.String suffix)`
`void` | `debug(java.lang.Object msg)`
`void` | `debug(java.lang.Object msg, java.lang.Throwable cause)`
`void` | `error(java.lang.Object msg)`
`void` | `error(java.lang.Object msg, java.lang.Throwable cause)`
`boolean` | `isDebug()`
`boolean` | `isDebugEnabled()`
`void` | `warn(java.lang.Object msg)`
`void` | `warn(java.lang.Object msg, java.lang.Throwable cause)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### io

    public static IO io

### name

    public final java.lang.String name

Method Detail

### create

    public static Logger create(java.lang.Class type)

### create

    public static Logger create(java.lang.Class type, java.lang.String suffix)

### debug

    public void debug(java.lang.Object msg)

### debug

    public void debug(java.lang.Object msg, java.lang.Throwable cause)

### error

    public void error(java.lang.Object msg)

### error

    public void error(java.lang.Object msg, java.lang.Throwable cause)

### isDebug

    public boolean isDebug()

### isDebugEnabled

    public boolean isDebugEnabled()

### warn

    public void warn(java.lang.Object msg)

### warn

    public void warn(java.lang.Object msg, java.lang.Throwable cause)

Groovy Documentation